/**
 * ISS Copyright 2020
 * @author Calin Bira (calin.bira@spacescience.ro / calin.bira@upb.ro)
 */
 
#pragma once
class issModule {  
  protected:
    int mDataItems = 0;

  public:
    virtual void produce() {
      mDataItems++;
    }

    virtual void consume() {
      mDataItems--;
    }

    bool isAvailable() {
      return (mDataItems > 0);
    }

    virtual bool loop() = 0;    
    virtual String consumeToJSONstring() = 0;
};
