#include <iostream>
#include <fstream>
#include <bitset>

int main() {
    std::ifstream fis("/home/calin/randnumbers3");
    std::ofstream fos("/home/calin/input.txt");
    int8_t c;
    uint64_t number = 0;
    uint64_t index = 0;
    while (fis >> c) {
        if ((c >= '0') && (c <= '3')) {
            int twobits = (c - '0') & 0x03;
            number = (number << 2) + twobits;
            index++;
            if (index % 32 == 0) {
                std::bitset<64> b(number);
                fos<<b;
                if (index == 128) {
                    index = 0;
                    fos << std::endl;
                }
                //fos.write((char*)&number, 4);
                number = 0;
            }
        }
        std::cout << c << std::endl;
    }
    fos.close();
    fis.close();
    std::cout << "Done!" << std::endl;
    return 0;
}

