#pragma once
class issTest {
  #define TEST_TIMERS

  issTimerTask* tt1000;
  issTimerTask* tt2000;
  issTimerTask* tt3000;
      
  void setupTimerTest() {
    tt1000 = new issTimerTask(1000);
    tt2000 = new issTimerTask(2000);
    tt3000 = new issTimerTask(3000);
    
    tt1000->restartTimerTask();
    tt2000->restartTimerTask();
    tt3000->restartTimerTask();
  }
  
  void loopTimerTest() {
    if (tt1000->isOverflown()) {Serial.println("Timer 1 expired"); tt1000->clearOverflow();}
    if (tt2000->isOverflown()) {Serial.println("Timer 2 expired"); tt2000->clearOverflow();}
    if (tt3000->isOverflown()) {Serial.println("Timer 3 expired"); tt3000->clearOverflow();}  
  }









  void setup() {
    #ifdef TEST_TIMERS
      setupTimerTest();
    #endif
  }

  void loop() {
    #ifdef TEST_TIMERS
      loopTimerTest();
    #endif
  }
};
