class issWxBodyposition {
  
  String positionText[7] = {
    "n/a      ", //0
    "Prone    ",  // 1
    "Left     ",  // 2
    "Right    ",  // 3
    "Supine   ",  // 4
    "Stand/sit",  // 5
    "non-def  "   // 6
  };

public:
    enum BodyPositions {
    NOT_AVAILABLE       = 0,
    PRONE_POS           = 1,
    LEFT_LATERAL_POS    = 2,
    RIGHT_LATERAL_POS   = 3,
    SUPINE_POS  = 4,
    STAND_OR_SIT_POS    = 5,
    NON_DEFINED_POS     = 6
  };

  void init() {};
  void loop() {};

  String getPositionName(uint8_t val) {
    return positionText[val];
  }

  uint8_t getPosition(Vector v) {
    uint8_t bodyPos;
    if (v.ZAxis <= -6) bodyPos = PRONE_POS;
    else if (v.YAxis >= 6) bodyPos = LEFT_LATERAL_POS;
    else if (v.YAxis <= -6) bodyPos = RIGHT_LATERAL_POS;
    else if (v.ZAxis >= 6) bodyPos = SUPINE_POS;
    else if (v.XAxis >= 6) bodyPos = STAND_OR_SIT_POS;
    else bodyPos = NON_DEFINED_POS;

    return bodyPos;
  }
};
