#pragma once

typedef enum {
  NoError = 0,
  Wifi_CreateAP_Failed = 2,
  Configuration = 1,
} issStatus_t;

class issStatus {

  issStatus_t mIssStatus;
  
public:
  issStatus() {
    mIssStatus = NoError;
    pinMode(LED_BUILTIN, OUTPUT);
  }

  void set(issStatus_t s) {
    mIssStatus = s;
  }

   void print() {
      static int lastAccess = millis();
      if (lastAccess - millis() > 1000) {
        for (int i = 0; i < mIssStatus; i++) {
          digitalWrite(LED_BUILTIN, HIGH);
          delay(100);
          digitalWrite(LED_BUILTIN, LOW);
        }
          lastAccess = millis();   
      }  
   }
};
