/* 
 User manual:
 The SAVE system contains 3 embedded components:
 - the Arduino MEGA board with ATMEGA2560 (app is in sensor_mega_all)
 - the ESP-generic board with ESP8266 (app is in webserverat8266)
 - the WatchX board with ATMEGA32U4 (app is in iss_wx_main)

 The following guide is for ESP:
  
 Step1. Only at inital startup: Configure ISS-SAVE system to connect to Internet:
  1.1 Start the system by pressing ON/OFF button
  1.2 Connect a PC to the wifi network named "iss_462241" (number may differ) with password "iss12345"
  1.3 Open a web-browser and typein the address: http://192.168.4.1/
    1.3.1 Enter Configuration menu
    1.3.2 Choose a SSID to connect to (and press it)
    1.3.3 Enter your network's password
    1.3.4 Press Save button: configuration portal will exit immediatly
  1.4 Connect the PC to your network's SSID
  1.5 Optional: design a webpage at address: http://iss_462241.local/edit

 Step2. Use the ISS-SAVE system
  2.1 Start the system by pressing ON/OFF button
  2.2 Wait 60 seconds (check screen) for the application to start. During this time, connect the sensors
  2.3 Use the sensors
  */
