
class issString {
    int mStartIndex;
    String mDelimiter;
    String *mpStr;
  public:
    issString(String *pstr, String delimiter) {
      mStartIndex = 0;
      mDelimiter = delimiter;
      mpStr = pstr;
    }

    String getNextToken() {
      int len = (*mpStr).length();
      if (len <= mStartIndex) return "";
      
      int index = mpStr->indexOf(mDelimiter, mStartIndex);
      if (index == -1) {int cpy = mStartIndex; mStartIndex = len; return mpStr->substring(cpy, len);}
      else {
        String substr = mpStr->substring(mStartIndex, index);
        mStartIndex = index + 1;
        return substr;
      }
    }

    String getRemaining() {
      int len = (*mpStr).length();
      if (mStartIndex >= len) return "";
      
      int currentIndex = mStartIndex;
      return mpStr->substring(currentIndex);
    }
};
