from requests import Request, Session
import json

s = Session();
url = "http://86.122.59.60:4200"
data = {'EQUID': '00112233445566778899AA', 'USID': 987, 'BATTERY': '23'}
headers = {'Content-type': 'application/json', 'Accept': 'text/plain'}

req = Request('POST', url, data=json.dumps(data), headers=headers)
prepped = req.prepare()
resp = s.send(prepped)

def pretty_print_POST(req):
    """
    At this point it is completely built and ready
    to be fired; it is "prepared".

    However pay attention at the formatting used in 
    this function because it is programmed to be pretty 
    printed and may differ from the actual request.
    """
    #print len(str(req.method + ' ' + req.url)) 
    print('{}\n{}\r\n{}\r\n\r\n{}'.format(
        '-----------START-----------',
        req.method + ' ' + req.url,
        '\r\n'.join('{}: {} {}'.format(k, v, len(v)) for k, v in req.headers.items()),
        req.body,
    ))

pretty_print_POST(prepped)
