Use this tool to convert from a 8-bit, 4-unique-color bitmap, to a c++ array file (.hpp)

Step1: compile convertToCppArray.cpp to convertToCppArray executable
    - in Linux call gcc as below:
        g++ convertToCppArray.cpp -o convertToCppArray

Step2: run Irfanview
Step3: resize the picture to 320 x 240 resolution via Options->Resize/Resample
Step4: decrease color depth to 4 colors via Image->Decrease color depth->Custom: 4
Step5: increase color depth back to 256 via: Image->Increase color depth->256 Colors (8BPP)
Step6: save bitmap
Step7: run the executable with parameter my-step6-bitmap.bmp for example:
    ./convertToCppArray logoiss8bm.bmp
Step8: copy-paste the array.hpp file content into Bitmap.hpp of Arduino mega-all sketch.

Note:
====
The reason we used 8BPP format is that it is documented.
The reason we decrease to 4 colors, is for being able to pack 4 pixels in a byte.
