var t=setInterval(updateDateTime,1000);
		function updateDateTime() {
			var dt = new Date();
			var ts = "N/A";
			document.getElementById("datetimejs").innerHTML = "Date and Time: " + dt.toLocaleString();

            const Http = new XMLHttpRequest();
            const url='http://localhost:8888/api/getdata';
            Http.open("GET", url);
            Http.send();

            Http.onreadystatechange = (e) => {
                var response = Http.responseText;
                if (response != undefined) {

                    //console.log(response);
                    if (response.length == 0) return;
                    json_object = JSON.parse(response);

                    if (json_object['ts'] != undefined) {
                        ts = json_object['ts'];
                    }

                    if (json_object['temperature'] != undefined) {
                        document.getElementById('temperature').innerHTML = json_object['temperature'];
                        document.getElementById('temperaturets').innerHTML = "Last update: " + ts;
                    }

                    if (json_object['spo2'] != undefined) {
                        document.getElementById('spo2').innerHTML = json_object['spo2'];
                        document.getElementById('spo2ts').innerHTML = "Last update: " + ts;
                    }

                    if (json_object['bps'] != undefined) {
                        document.getElementById('bps').innerHTML = json_object['bps'];
                        document.getElementById('bpsts').innerHTML = "Last update: " + ts;
                    }

                    //console.log(json_object);
                }
            }
}

//Get the button:
mybutton = document.getElementById("bulina");

// When the user scrolls down 20px from the top of the document, show the button
window.onscroll = function() {scrollFunction()};

function scrollFunction() {
  if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
    mybutton.style.display = "block";
  } else {
    mybutton.style.display = "none";
  }
}

// When the user clicks on the button, scroll to the top of the document
function topFunction() {
  document.body.scrollTop = 0; // For Safari
  document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
}
